CREATE TABLE hey_act_re_procdef (
    ID                    VARCHAR2(256) ,
    REV                   NUMBER        ,
    CATEGORY              VARCHAR2(1020),
    NAME                  VARCHAR2(1020),
    KEY                   VARCHAR2(1020)    NOT NULL,
    VERSION               NUMBER            NOT NULL,
    DEPLOYMENT_ID         VARCHAR2(256) ,
    RESOURCE_NAME         VARCHAR2(4000),
    DGRM_RESOURCE_NAME    VARCHAR2(4000),
    HAS_START_FORM_KEY    NUMBER(1, 0)  ,
    SUSPENSION_STATE      NUMBER        ,
    TENANT_ID             VARCHAR2(256) ,
    VERSION_TAG           VARCHAR2(256) ,
    HISTORY_TTL           NUMBER        ,
    STARTABLE             NUMBER(1, 0)      NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    ID                    VARCHAR2(256) ,
    REV                   NUMBER        ,
    CATEGORY              VARCHAR2(1020),
    NAME                  VARCHAR2(1020),
    KEY                   VARCHAR2(1020)    NOT NULL,
    VERSION               NUMBER            NOT NULL,
    DEPLOYMENT_ID         VARCHAR2(256) ,
    RESOURCE_NAME         VARCHAR2(4000),
    DGRM_RESOURCE_NAME    VARCHAR2(4000),
    HAS_START_FORM_KEY    NUMBER(1, 0)  ,
    SUSPENSION_STATE      NUMBER        ,
    TENANT_ID             VARCHAR2(256) ,
    VERSION_TAG           VARCHAR2(256) ,
    HISTORY_TTL           NUMBER        ,
    STARTABLE             NUMBER(1, 0)      NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    CONSTRAINT pk_hey_act_re_procdef PRIMARY KEY (ID, ID)
);
